import type { AppConfig } from '@nuxt/schema';
import type { ComponentConfig } from '@nuxt/ui';
import theme from '#build/ui-pro/prose/field';
type ProseField = ComponentConfig<typeof theme, AppConfig, 'field', 'uiPro.prose'>;
export interface ProseFieldProps {
    /**
     * The element or component this component should render as.
     * @defaultValue 'div'
     */
    as?: any;
    /**
     * The name of the field.
     */
    name?: string;
    /**
     * Expected type of the field’s value
     */
    type?: string;
    /**
     * Description of the field
     */
    description?: string;
    /**
     * Indicate whether the field is required
     */
    required?: boolean;
    class?: any;
    ui?: ProseField['slots'];
}
export interface ProseFieldSlots {
    default(props?: {}): any;
}
declare const _default: __VLS_WithSlots<import("vue").DefineComponent<ProseFieldProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ProseFieldProps> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>, ProseFieldSlots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
